from Ft.Xml import ReaderException, XIncludeException

try:
    import os, gettext
    locale_dir = os.path.split(__file__)[0]
    gettext.install('4Suite', locale_dir)
except (ImportError, AttributeError, IOError):
    def _(msg):
        return msg

XINCLUDE = {
    XIncludeException.XINCLUDE_MISSING_HREF: _("An XInclude element must have an href attribute."),
    XIncludeException.CIRCULAR_INCLUDE_ERROR: _("Circular import of '%s'"),
    }

READER = {
    ReaderException.XML_PARSE_ERROR: _('XML parse error in %r at line %d, column %d: %s'),
    ReaderException.XML_SAX_PARSE_ERROR: _('XML parse error found while processing "%s"%s, at line %d, column %d: %s'),
    ReaderException.XMLNS_UNKNOWN_PREFIX: _('Unknown namespace prefix found while parsing XML file: %s'),
    ReaderException.XMLNS_DUPLICATE_ATTRS: _('Element %r has duplicate attributes: %r and %r'),
    ReaderException.INVALID_XMLNS: _('Invalid xmlns found parsing XML file: %s'),
    }

